Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Class RuleType

    java.lang.Object
      com.bea.commerce.ebusiness.discount.mgmt.RuleType

Deprecated

    @Deprecated
    public final class RuleType

extends Object

This class represents the two types of discount rules

See Also
  `QualificationDiscountDef`

Field Summary
`static int` | `I_ITEM` Deprecated The integer value for the item instance
`static int` | `I_ORDER` Deprecated The integer value for the item instance
`static RuleType` | `ITEM` Deprecated the item instance
`static RuleType` | `ORDER` Deprecated the order instance
`static String` | `S_ITEM` Deprecated The string value for the item instance
`static String` | `S_ORDER` Deprecated The string value for the order instance

Method Summary
`boolean` | `equals(Object object)` Deprecated Compares the specified object to this object.
`int` | `getInt()` Deprecated Returns the string value for this instance.
`static RuleType` | `getObject(String token)` Deprecated
`String` | `getString()` Deprecated Returns the string value for this instance.
`int` | `hashCode()` Deprecated Returns a hashcode value for the object.
`String` | `toString()` Deprecated Returns a string value and the class name for the instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### I_ITEM

    public static final int I_ITEM

  Deprecated
  The integer value for the item instance

  See Also
    Constants Summary

### I_ORDER

    public static final int I_ORDER

  Deprecated
  The integer value for the item instance

  See Also
    Constants Summary

### ITEM

    public static final RuleType ITEM

  Deprecated
  the item instance

### ORDER

    public static final RuleType ORDER

  Deprecated
  the order instance

### S_ITEM

    public static final String S_ITEM

  Deprecated
  The string value for the item instance

  See Also
    Constants Summary

### S_ORDER

    public static final String S_ORDER

  Deprecated
  The string value for the order instance

  See Also
    Constants Summary

Method Detail

### toString

    public String toString()

  Deprecated
  Returns a string value and the class name for the instance. This method is intended for debugging and may change. Use the getString() method to obtain the string value of the object.

  Overrides:
    `toString` in class `Object`

### getString

    public String getString()

  Deprecated
  Returns the string value for this instance.

### getInt

    public int getInt()

  Deprecated
  Returns the string value for this instance.

### getObject

    public static RuleType getObject(String token)

  Deprecated
  Parameters
    `token` - a string to match to a RuleType object
  Returns
    the RuleType object that corrsponds to the specified string token.

### equals

    public boolean equals(Object object)

  Deprecated
  Compares the specified object to this object. If the specified object is identical to this object this method will return true. False will be returned otherwise.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated
  Returns a hashcode value for the object.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.